Loading...
Searching...
No Matches
m2ua_types.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Macros

#define | M2UA_VERSION 1
| Types found in the M2UA RFC 3331.
#define | M2UA_SPARE 0

## Enumerations

enum | { M2UA_CLS_MGMT , M2UA_CLS_TRANS , M2UA_CLS_SSNM , M2UA_CLS_ASPSM , M2UA_CLS_ASPTM , M2UA_CLS_QPTM , M2UA_CLS_MAUP , M2UA_CLS_SUA_LESS , M2UA_CLS_SUA_CONN , M2UA_CLS_RKM , M2UA_CLS_IIM }
enum | { M2UA_MAUP_RESERVED , M2UA_MAUP_DATA , M2UA_MAUP_EST_REQ , M2UA_MAUP_EST_CON , M2UA_MAUP_REL_REQ , M2UA_MAUP_REL_CON , M2UA_MAUP_REL_IND , M2UA_MAUP_STATE_REQ , M2UA_MAUP_STATE_CON , M2UA_MAUP_STATE_IND , M2UA_MAUP_RETR_REQ , M2UA_MAUP_D_RETR_CON , M2UA_MAUP_D_RETR_IND , M2UA_MAUP_D_RETR_COMPL , M2UA_MAUP_CONG_IND , M2UA_MAUP_DATA_ACK }
| MTP2 User Adaption = MAUP messages. More...
enum | { M2UA_ASPSM_RESERVED , M2UA_ASPSM_UP , M2UA_ASPSM_DOWN , M2UA_ASPSM_BEAT , M2UA_ASPSM_UP_ACK , M2UA_ASPSM_DOWN_ACK , M2UA_ASPSM_BEAT_ACK }
| Application Server Process State Maintaenance (ASPSM) messages. More...
enum | { M2UA_ASPTM_RESERVED , M2UA_ASPTM_ACTIV , M2UA_ASPTM_INACTIV , M2UA_ASPTM_ACTIV_ACK , M2UA_ASPTM_INACTIV_ACK }
| Application Server Process Traffic Maintaenance (ASPTM) messages. More...
enum | { M2UA_MGMT_ERROR , M2UA_MGMT_NTFY }
| Management (MGMT) messages. More...
enum | { M2UA_IIM_RESERVED , M2UA_IIM_REG_REQ , M2UA_IIM_REG_RSP , M2UA_IIM_DEREG_REQ , M2UA_IIM_DEREG_RSP }
| Interface Identifier Management (IIM) Messages. More...
enum | { __m2ua_tag_start = 767 , M2UA_TAG_DATA , M2UA_TAG_DATA_TTC , M2UA_TAG_STATE_REQ , M2UA_TAG_STATE_EVENT , M2UA_TAG_CONG_STATUS , M2UA_TAG_DISC_STATUS , M2UA_TAG_ACTION , M2UA_TAG_SEQ_NO , M2UA_TAG_RETR_RES , M2UA_TAG_LNK_KEY , M2UA_TAG_L_LNK_KEY_ID , M2UA_TAG_SDT , M2UA_TAG_SDL , M2UA_TAG_REG_RES , M2UA_TAG_RES_STATUS , M2UA_TAG_DEREG_RES , M2UA_TAG_DEREG_STATUS }
| Tag Values for M2UA. More...
enum | { M2UA_STATUS_LPO_SET , M2UA_STATUS_LPO_CLEAR , M2UA_STATUS_EMER_SET , M2UA_STATUS_EMER_CLEAR , M2UA_STATUS_FLUSH_BUFFERS , M2UA_STATUS_CONTINUE , M2UA_STATUS_CLEAR_RTB , M2UA_STATUS_AUDIT , M2UA_STATUS_CONG_CLEAR , M2UA_STATUS_CONG_ACCEPT , M2UA_STATUS_CONG_DISCARD }
| 3.3.1.5 State Request More...
enum | { __m2ua_event_dummy , M2UA_EVENT_RPO_ENTER , M2UA_EVENT_RPO_EXIT , M2UA_EVENT_LPO_ENTER , M2UA_EVENT_LPO_EXIT }
| 3.3.1.7 State Indication More...
enum | { M2UA_LEVEL_NONE , M2UA_LEVEL_1 , M2UA_LEVEL_2 , M2UA_LEVEL_3 }
| 3.3.1.8 Congestion Indication More...
enum | { M2UA_ACTION_RTRV_BSN , M2UA_ACTION_RTRV_MSGS }
| 3.3.1.9 Retrieval Request More...
enum | { M2UA_RESULT_SUCCESS , M2UA_RESULT_FAILURE }
| 3.3.1.10 Retrieval Confirm More...
enum | { M2UA_TRA_OVERRIDE = 1 , M2UA_TRA_LOAD_SHARE = 2 , M2UA_TRA_BROADCAST = 3 }
| 3.3.2.7 ASP Active (ASPAC) More...

enum

{
__m2ua_err_unused , M2UA_ERR_INV_VER , M2UA_ERR_INV_INT_IDENT , M2UA_ERR_UNS_MSG_CLASS ,
M2UA_ERR_UNS_MSG_TYPE , M2UA_ERR_UNS_TRA_MODE , M2UA_ERR_UNE_MSG , M2UA_ERR_PROTO_ERROR ,
M2UA_ERR_UNS_INT_IDENT_T , M2UA_ERR_INV_STR_IDENT , M2UA_ERR_UNUSED1 , M2UA_ERR_UNUSED2 ,
M2UA_ERR_UNUSED3 , M2UA_ERR_REFUSED , M2UA_ERR_ASP_IDENT_REQ , M2UA_ERR_INV_ASP_IDENT ,
M2UA_ERR_ASP_ACT_FOR_IDENT , M2UA_ERR_INV_PARAM_VAL , M2UA_ERR_PARAM_FIELD_ERR , M2UA_ERR_UNEXP_PARAM ,
M2UA_ERR_UNUSED4 , M2UA_ERR_UNUSED5 , M2UA_ERR_MISSING_PARAM
}

| 3.3.3.1 Error (ERR) More...
enum | { M2UA_STP_AS_STATE_CHG = 1 , M2UA_STP_OTHER = 2 }
| 3.3.3.2 Notify (NTFY) More...
enum | { M2UA_STP_AS_INACTIVE = 2 , M2UA_STP_AS_ACTIVE = 3 , M2UA_STP_AS_PENDING = 4 , M2UA_STP_O_INSUFF_ASP_RES = 1 , M2UA_STP_O_ALT_ASP_ACTIVR = 2 , M2UA_STP_O_ASP_FAILURE = 3 }
enum | { M2UA_REG_SUCC , M2UA_REG_ERR_UNK , M2UA_REG_ERR_INV_SDLI , M2UA_REG_ERR_INV_SDTI , M2UA_REG_ERR_INV_LNK_KEY , M2UA_REG_ERR_PERM_DENIED , M2UA_REG_ERR_OVERLAP_KEY , M2UA_REG_ERR_LNK_KEY_NOT_PROV , M2UA_REG_ERR_INSUFF_RES }
| 3.3.4.3 Registration Response (REG RSP) More...
enum | { M2UA_DEREG_SUCC , M2UA_DEREG_ERR_UNK , M2UA_DEREG_ERR_INV_IDENT , M2UA_DEREG_ERR_PERM_DENIED , M2UA_DEREG_ERR_NOT_REG }
| 3.3.4.4 De-Registration Response (DEREG RSP) More...

## Macro Definition Documentation

## M2UA_SPARE

#define M2UA_SPARE 0

## M2UA_VERSION

#define M2UA_VERSION 1

Types found in the M2UA RFC 3331.

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
M2UA_CLS_MGMT |
M2UA_CLS_TRANS |
M2UA_CLS_SSNM |
M2UA_CLS_ASPSM |
M2UA_CLS_ASPTM |
M2UA_CLS_QPTM |
M2UA_CLS_MAUP |
M2UA_CLS_SUA_LESS |
M2UA_CLS_SUA_CONN |
M2UA_CLS_RKM |
M2UA_CLS_IIM |

## anonymous enum

anonymous enum

MTP2 User Adaption = MAUP messages.

Enumerator
M2UA_MAUP_RESERVED |
M2UA_MAUP_DATA |
M2UA_MAUP_EST_REQ |
M2UA_MAUP_EST_CON |
M2UA_MAUP_REL_REQ |
M2UA_MAUP_REL_CON |
M2UA_MAUP_REL_IND |
M2UA_MAUP_STATE_REQ |
M2UA_MAUP_STATE_CON |
M2UA_MAUP_STATE_IND |
M2UA_MAUP_RETR_REQ |
M2UA_MAUP_D_RETR_CON |
M2UA_MAUP_D_RETR_IND |
M2UA_MAUP_D_RETR_COMPL |
M2UA_MAUP_CONG_IND |
M2UA_MAUP_DATA_ACK |

## anonymous enum

anonymous enum

3.3.1.9 Retrieval Request

Enumerator
M2UA_ACTION_RTRV_BSN |
M2UA_ACTION_RTRV_MSGS |

## anonymous enum

anonymous enum

3.3.1.10 Retrieval Confirm

Enumerator
M2UA_RESULT_SUCCESS |
M2UA_RESULT_FAILURE |

## anonymous enum

anonymous enum

3.3.2.7 ASP Active (ASPAC)

Enumerator
M2UA_TRA_OVERRIDE |
M2UA_TRA_LOAD_SHARE |
M2UA_TRA_BROADCAST |

## anonymous enum

anonymous enum

3.3.3.1 Error (ERR)

Enumerator
__m2ua_err_unused |
M2UA_ERR_INV_VER |
M2UA_ERR_INV_INT_IDENT |
M2UA_ERR_UNS_MSG_CLASS |
M2UA_ERR_UNS_MSG_TYPE |
M2UA_ERR_UNS_TRA_MODE |
M2UA_ERR_UNE_MSG |
M2UA_ERR_PROTO_ERROR |
M2UA_ERR_UNS_INT_IDENT_T |
M2UA_ERR_INV_STR_IDENT |
M2UA_ERR_UNUSED1 |
M2UA_ERR_UNUSED2 |
M2UA_ERR_UNUSED3 |
M2UA_ERR_REFUSED |
M2UA_ERR_ASP_IDENT_REQ |
M2UA_ERR_INV_ASP_IDENT |
M2UA_ERR_ASP_ACT_FOR_IDENT |
M2UA_ERR_INV_PARAM_VAL |
M2UA_ERR_PARAM_FIELD_ERR |
M2UA_ERR_UNEXP_PARAM |
M2UA_ERR_UNUSED4 |
M2UA_ERR_UNUSED5 |
M2UA_ERR_MISSING_PARAM |

## anonymous enum

anonymous enum

3.3.3.2 Notify (NTFY)

Enumerator
M2UA_STP_AS_STATE_CHG |
M2UA_STP_OTHER |

## anonymous enum

anonymous enum

Enumerator
M2UA_STP_AS_INACTIVE |
M2UA_STP_AS_ACTIVE |
M2UA_STP_AS_PENDING |
M2UA_STP_O_INSUFF_ASP_RES |
M2UA_STP_O_ALT_ASP_ACTIVR |
M2UA_STP_O_ASP_FAILURE |

## anonymous enum

anonymous enum

3.3.4.3 Registration Response (REG RSP)

Enumerator
M2UA_REG_SUCC |
M2UA_REG_ERR_UNK |
M2UA_REG_ERR_INV_SDLI |
M2UA_REG_ERR_INV_SDTI |
M2UA_REG_ERR_INV_LNK_KEY |
M2UA_REG_ERR_PERM_DENIED |
M2UA_REG_ERR_OVERLAP_KEY |
M2UA_REG_ERR_LNK_KEY_NOT_PROV |
M2UA_REG_ERR_INSUFF_RES |

## anonymous enum

anonymous enum

3.3.4.4 De-Registration Response (DEREG RSP)

Enumerator
M2UA_DEREG_SUCC |
M2UA_DEREG_ERR_UNK |
M2UA_DEREG_ERR_INV_IDENT |
M2UA_DEREG_ERR_PERM_DENIED |
M2UA_DEREG_ERR_NOT_REG |

## anonymous enum

anonymous enum

Application Server Process State Maintaenance (ASPSM) messages.

Enumerator
M2UA_ASPSM_RESERVED |
M2UA_ASPSM_UP |
M2UA_ASPSM_DOWN |
M2UA_ASPSM_BEAT |
M2UA_ASPSM_UP_ACK |
M2UA_ASPSM_DOWN_ACK |
M2UA_ASPSM_BEAT_ACK |

## anonymous enum

anonymous enum

Application Server Process Traffic Maintaenance (ASPTM) messages.

Enumerator
M2UA_ASPTM_RESERVED |
M2UA_ASPTM_ACTIV |
M2UA_ASPTM_INACTIV |
M2UA_ASPTM_ACTIV_ACK |
M2UA_ASPTM_INACTIV_ACK |

## anonymous enum

anonymous enum

Management (MGMT) messages.

Enumerator
M2UA_MGMT_ERROR |
M2UA_MGMT_NTFY |

## anonymous enum

anonymous enum

Interface Identifier Management (IIM) Messages.

Enumerator
M2UA_IIM_RESERVED |
M2UA_IIM_REG_REQ |
M2UA_IIM_REG_RSP |
M2UA_IIM_DEREG_REQ |
M2UA_IIM_DEREG_RSP |

## anonymous enum

anonymous enum

Tag Values for M2UA.

Enumerator
__m2ua_tag_start |
M2UA_TAG_DATA |
M2UA_TAG_DATA_TTC |
M2UA_TAG_STATE_REQ |
M2UA_TAG_STATE_EVENT |
M2UA_TAG_CONG_STATUS |
M2UA_TAG_DISC_STATUS |
M2UA_TAG_ACTION |
M2UA_TAG_SEQ_NO |
M2UA_TAG_RETR_RES |
M2UA_TAG_LNK_KEY |
M2UA_TAG_L_LNK_KEY_ID |
M2UA_TAG_SDT |
M2UA_TAG_SDL |
M2UA_TAG_REG_RES |
M2UA_TAG_RES_STATUS |
M2UA_TAG_DEREG_RES |
M2UA_TAG_DEREG_STATUS |

## anonymous enum

anonymous enum

3.3.1.5 State Request

Enumerator
M2UA_STATUS_LPO_SET |
M2UA_STATUS_LPO_CLEAR |
M2UA_STATUS_EMER_SET |
M2UA_STATUS_EMER_CLEAR |
M2UA_STATUS_FLUSH_BUFFERS |
M2UA_STATUS_CONTINUE |
M2UA_STATUS_CLEAR_RTB |
M2UA_STATUS_AUDIT |
M2UA_STATUS_CONG_CLEAR |
M2UA_STATUS_CONG_ACCEPT |
M2UA_STATUS_CONG_DISCARD |

## anonymous enum

anonymous enum

3.3.1.7 State Indication

Enumerator
__m2ua_event_dummy |
M2UA_EVENT_RPO_ENTER |
M2UA_EVENT_RPO_EXIT |
M2UA_EVENT_LPO_ENTER |
M2UA_EVENT_LPO_EXIT |

## anonymous enum

anonymous enum

3.3.1.8 Congestion Indication

Enumerator
M2UA_LEVEL_NONE |
M2UA_LEVEL_1 |
M2UA_LEVEL_2 |
M2UA_LEVEL_3 |